Loading ...
Sorry, an error occurred while loading the content.
 

Re: Run Fitnesse tests using Maven

Expand Messages
  • ghost.friend1
    hi, i have fitnesse version 20110104 , with this version my Tests runs with other versions when I press Test button, i receive Running Tests message....... but
    Message 1 of 7 , Sep 1, 2011
      hi, i have fitnesse version 20110104 , with this version my Tests runs with other versions when I press Test button, i receive Running Tests message....... but do nothing...and i can't understand why...

      So, I decided to use 20110104 version. What are the versions of Fitlibrary and Trinidad for this?

      Thanks
    • Johannes Link
      Hi Tim, It would be nice if Trinidad was released when FitNesse was released so we ... Maybe I missed some important detail in the thread (I only skimmed it).
      Message 2 of 7 , Sep 1, 2011
        Hi Tim,

        It would be nice if Trinidad was released when FitNesse was released so we could count on them working together.


        Maybe I missed some important detail in the thread (I only skimmed it). Trinidad has been integrated into fitnesse a couple of versions ago.

        Johannes


        Tim Andersen

        --- In fitnesse@yahoogroups.com, "Lisa Ramen" <ramenlisa@...> wrote:
        >
        > Hello,
        >
        > I wanted to run my Fitnesse tests from the Bamboo which uses Maven to run Fitnesse tests. I am creating the pom.xml file and have few questions:
        >
        > 1) To do that, should I use maven-trinidad-plugin maintained by Gojko Adzic ? I came to know from this forum that fitnesse-maven-plugin is is no longer being maintained with FitNesse. can you please confirm ?
        >
        > 2) I am creating the POM file to use maven-trinidad-plugin. I am using Fitnesse version 20101101. The url: http://neuri.co.uk/resources/projects/trinidad/maven-trinidad-plugin/project-summary.html mentioned that trinidad version is 20100103. Can trinidad version 20100103 works with Fitnesse version 20101101? Can you please confirm ? How can I find the Fitlibrary version ?
        >
        > <properties>
        > <fitnesse.version>20101101</fitnesse.version>
        > <fitlibrary.version>?</fitlibrary.version>
        > <trinidad.version>20100103</trinidad.version>
        > </properties>
        >
        > 3) What report-plugin I can use with maven-trinidad-plugin ?
        >
        > 4) http://neuri.co.uk/resources/projects/trinidad/maven-trinidad-plugin/required-dependencies.html metioned to use the dependency into the pom.xml file. Do I need to include them?
        >
        > I appreciate your response.
        >
        > Thanks,
        >
        > Lisa
        >


      • Pascal Leclercq
        You can use : https://github.com/pascalleclercq/aether-fitnesse-widget It s based on aether ( http://www.sonatype.com/people/2010/08/introducing-aether/) so
        Message 3 of 7 , Oct 20, 2011
          You can use : https://github.com/pascalleclercq/aether-fitnesse-widget


          It's based on aether (http://www.sonatype.com/people/2010/08/introducing-aether/) so It's more "lightweight" than embedding a whole maven runtime in a Fitnesse Plugin.

          Regards.

          2011/9/1 Johannes Link <jl@...>
           

          Hi Tim,

          It would be nice if Trinidad was released when FitNesse was released so we could count on them working together.


          Maybe I missed some important detail in the thread (I only skimmed it). Trinidad has been integrated into fitnesse a couple of versions ago.

          Johannes


          Tim Andersen

          --- In fitnesse@yahoogroups.com, "Lisa Ramen" <ramenlisa@...> wrote:
          >
          > Hello,
          >
          > I wanted to run my Fitnesse tests from the Bamboo which uses Maven to run Fitnesse tests. I am creating the pom.xml file and have few questions:
          >
          > 1) To do that, should I use maven-trinidad-plugin maintained by Gojko Adzic ? I came to know from this forum that fitnesse-maven-plugin is is no longer being maintained with FitNesse. can you please confirm ?
          >
          > 2) I am creating the POM file to use maven-trinidad-plugin. I am using Fitnesse version 20101101. The url: http://neuri.co.uk/resources/projects/trinidad/maven-trinidad-plugin/project-summary.html mentioned that trinidad version is 20100103. Can trinidad version 20100103 works with Fitnesse version 20101101? Can you please confirm ? How can I find the Fitlibrary version ?
          >
          > <properties>
          > <fitnesse.version>20101101</fitnesse.version>
          > <fitlibrary.version>?</fitlibrary.version>
          > <trinidad.version>20100103</trinidad.version>
          > </properties>
          >
          > 3) What report-plugin I can use with maven-trinidad-plugin ?
          >
          > 4) http://neuri.co.uk/resources/projects/trinidad/maven-trinidad-plugin/required-dependencies.html metioned to use the dependency into the pom.xml file. Do I need to include them?
          >
          > I appreciate your response.
          >
          > Thanks,
          >
          > Lisa
          >





          --
          Pascal Leclercq


        • Rick Mugridge
          Hi Tim Bacon, Are you continuing to support WaferSlim? I have a client interested in using WaferSlim. (They realise that PyFit is no longer supported.) Cheers,
          Message 4 of 7 , Oct 25, 2011
            Hi Tim Bacon,

            Are you continuing to support WaferSlim? I have a client interested in
            using WaferSlim. (They realise that PyFit is no longer supported.)

            Cheers, Rick
          Your message has been successfully submitted and would be delivered to recipients shortly.